<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.organize.*" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));

    //读取数据
    SzLogin login = new SzLogin();
    SzLoginInfo loginInfo = null;
    String sCond = " DLID IN (select QXRY FROM SZXT_QX WHERE QXRYLB=0 AND QXLX=2)";
    String sSortField = "YGBH";
    int iSortOrder = SzProperties.I_SortOrder_ASC;
    int iCurrentPage = 1;
    try {
        iCurrentPage =  Integer.parseInt(sPage);
    }catch(Exception e) {
    }
    Iterator iter = login.getArrayList_2(sCond, sSortField, iSortOrder, iCurrentPage, sSearch).iterator();

    SzPageInfo pageInfo = login.getPageInfo();
    int iPageCount = pageInfo.getPageCount();
    int iRecordCount = pageInfo.getRecordCount();
    iCurrentPage = pageInfo.getCurrentPage();
    int i = 0;
    
    SzCompany company = new SzCompany();
    
%>
<!-----上面的工具栏------>
<%@ include file="/share/title.jsp"%>
<table width="100%">
  <tr>
    <td>
      <input type="button" name="btnAdd" class="btnClass" value="添加" OnClick="javascript:GoUrl('update.jsp?OPERATOR=add&KEY=0');">
    </td>
  </tr>
</table>

<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <input type="hidden" name="page" value="<%=iCurrentPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <tr class="trClassTitle">
    <td width="5"><input type="checkbox" name="chkCheckAll" OnClick="javascript:CheckAll(formList, chkCheckAll, 'chkId');"></td>
    <td>公司名称</td>
    <td>登陆帐号</td>
    <td>用户名称</td>
    <td>用户状态</td>
    <td width="40">操作</td>
  </tr>
<%
    while (iter != null && iter.hasNext()) {
        loginInfo = (SzLoginInfo)iter.next();
        i++;
%>
  <tr>
    <td width="5"><input type="checkbox" name="chkId" id="chkId" value="<%=loginInfo.getDLID()%>"></td>
    <td><%=SzUserHelp.getCompanyName(loginInfo.getDLGSID())%>&nbsp;</td>
    <td><%=loginInfo.getDLZH()%>&nbsp;</td>
    <td><%=loginInfo.getDLXM()%>&nbsp;</td>
    <td><%=login.getDLBZ_name(loginInfo.getDLBZ())%>&nbsp;</td>
    <td><a href="javascript:FormSubmit(formPage,'update.jsp?OPERATOR=update&KEY=<%=loginInfo.getDLID()%>');">修改</a></td>
  </tr>
<%
    }
    out.println(SzPageHelp.outIndexTableTr(i, SzProperties.I_PageSize, 6));
%>

  </form>
</table>

<!-----下面的工具栏------>
<table width="100%">
  <form name="formPage" method="post">
  <tr>
    <td align="right">
      <%@ include file="/share/page/page_include.jsp"%>
    </td>
  </tr>
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript">
  //第一个表示对象，form，第二个表示字符串
  function FormSubmit(oFormName, vUrl) {
    oFormName.action = vUrl;
    oFormName.submit();
  }

  function GoUrl(vUrl) {
    document.location.href = vUrl;
  }

  //javascript参数的调用：
  //checkAll(formList,chkCheckAll,'chkId')
  //第一个表示对象，第二个表示对象，第三个表示字符串
  function CheckAll(oFormList, oChkCheckAll, vChkId) {
    var e;
    for (var i=0; i<oFormList.elements.length; i++) {
      e = oFormList.elements[i];
      if (e.name == vChkId) {
        e.checked = oChkCheckAll.checked;
      }
    }
  }
</script>
